<?php

namespace KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\MobilePay\Resource\Request;

use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Payment\Resource\PaymentTrait;
use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Payment\Resource\Request\Payment as PaymentRequest;
use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\MobilePay\Resource\Request\Data\PaymentInterface;
use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Payment\Resource\Collection\PricesCollection;
/**
 * MobilePay payment data object
 */
class Payment extends PaymentRequest implements PaymentInterface
{
    use PaymentTrait;
    /**
     * @return PricesCollection
     */
    public function getPrices()
    {
        return $this->offsetGet(self::PRICES);
    }
    /**
     * @param PricesCollection|array $prices
     * @return $this
     */
    public function setPrices($prices)
    {
        if (!$prices instanceof PricesCollection) {
            $prices = new PricesCollection($prices);
        }
        return $this->offsetSet(self::PRICES, $prices);
    }
}
